MyBB Community Forums
Script to Update Plugins for 1.6.5 - Printable Version

+- MyBB Community Forums (https://community.mybb.com)
+-- Forum: Community Archive (https://community.mybb.com/forum-106.html)
+--- Forum: Archived Forums (https://community.mybb.com/forum-143.html)
+---- Forum: Archived Development and Support (https://community.mybb.com/forum-155.html)
+----- Forum: MyBB 1.6 (https://community.mybb.com/forum-138.html)
+------ Forum: 1.6 General Support (https://community.mybb.com/forum-127.html)
+------ Thread: Script to Update Plugins for 1.6.5 (/thread-108595.html)

Pages: 1 2 3 4 5 6 7 8 9 10


RE: Script to Update Plugins for 1.6.5 - gimmezell - 2012-01-13

(2011-12-20, 05:09 PM)pavemen Wrote: looks like a permissions issue or a host doe snot allow the php functions I use.

I am having the same problem. Can you expand on this a bit more? What do I need to say in my support ticket to my host to fix this?



RE: Script to Update Plugins for 1.6.5 - pavemen - 2012-01-13

go to ACP > Tools & Maintenance > View PHP Info and look for "disable_functions" and see if any of these are listed:

fopen
fgets
file_get_contents
file_put_contents

If these are listed, you need to ask your host to enable them. if they won't then you can use the dryrun option to get the files you need to modify

regarding permissions you need to make sure that the script it woned by your main account and the permissions allow it to run.

does the dry run work at all?


RE: Script to Update Plugins for 1.6.5 - gimmezell - 2012-01-13

Under "disable_funtions" I have "no value" for both fields.

I sent a support ticket to my host and they explained to me that this error is caused by php is running as DSO. I have no idea what that means though.

They manually fixed the one example I gave them by changing the permission to 777 from 644 but I have 12 more files that need to be fixed.

Yes, the dry run works.


RE: Script to Update Plugins for 1.6.5 - pavemen - 2012-01-13

then change the permissions for the rest via an FTP or webdisk program and run the tool again


RE: Script to Update Plugins for 1.6.5 - gimmezell - 2012-01-13

Done. Thanks for making this script sir.


RE: Script to Update Plugins for 1.6.5 - pavemen - 2012-01-13

no problem. be sure to reset the permissions back to 644


RE: Script to Update Plugins for 1.6.5 - baxing - 2012-01-14

very cool so thanks sir


RE: Script to Update Plugins for 1.6.5 - miketiger - 2012-01-27

This worked a treat...so simple to use..Thanks Pavemen Smile


RE: Script to Update Plugins for 1.6.5 - king_og - 2012-01-29

I love you for creating this! Everything went fine.


RE: Script to Update Plugins for 1.6.5 - nalix85 - 2012-02-07

it works fine. I love it.
thanks a lot